> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/upload-files-with-the-geopard-api.md).

# Augšupielādēt failus ar GeoPard API

{% hint style="success" %}
Failiem, kas lielāki par 6 MB, ieteicamā pieeja ir [iepriekš parakstīta URL darbplūsma](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

GeoPard API ļauj augšupielādēt ZIP arhīvus ar augsnes, ražas, veikto darbu vai lauku robežu datu kopām turpmākai apstrādei un analītikai.

{% hint style="danger" %}
AWS ierobežojuma dēļ maksimālais faila lielums, ko var augšupielādēt, izmantojot šo REST galapunktu, ir 6 MB.
{% endhint %}

Failu, kas lielāki par 6 MB, augšupielādes darbības ir aprakstītas sadaļā [ZIP failu augšupielāde (lielāku par 6 MB)](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Uzreiz pēc sekmīgas augsnes, ražas vai veikto darbu datu kopas augšupielādes GeoPard dzinis sasaista to ar attiecīgajiem laukiem norādītajā saimniecībā.

Uzreiz pēc sekmīgas lauku robežu datu augšupielādes GeoPard dzinis sāk to apstrādi.

Atbildē ir iekļauts `<uuid>` ko varat izmantot apstrādes statusa izsekošanai.

#### Pieprasījuma piemērs:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametri:

1. `<type>` - augšupielādētās datu kopas veids. Tam jābūt `yield` VAI `soil` VAI `applied` VAI `boundary`.
2. `<farm_uuid>` - tās saimniecības `uuid` uz kuru tiks augšupielādēts fails (neobligāts).
3. `<token>` - GeoPard piekļuves pilnvara.
4. `@path/to/file.zip` - augšupielādējamā faila ceļš.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
